Subject: Ticket Assigned - Non delivery of Item Order #9517012843
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 22 Dec 2021 06:30:37 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Non delivery of Item Order #9517012843 Hi,

I had placed an order #9517012843 on 2nd December 2021. As of now I have
not received the Item #162167442 even though Splash confirms delivery.
I have raised 2 complain tickets with customer care with no response or
revert for the last 3 days.

This is an extremely terrible service from Splash/Centerpoint. The
courier/transporter did not call or confirm receipt of the item and yet
your system shows delivered.

Expecting a prompt reply and either the item should be re-delivered or cash
must be returned.

Regards,
Arif Sulaiman
050 5567789

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3547650